
local StoneGateV6 = ...

-- Apply building asset processor
StoneGateV6:registerAssetProcessor("models/blueRoofs/blueSmallGate.fbx", {
	DataType = "BUILDING_ASSET_PROCESSOR"
})
function registerRampartPart(_nameFbx, _nameAsset, _attachType)
    StoneGateV6:registerAssetId("models/blueRoofs/blueSmallGate.fbx/Prefab/smallGate/step_4_SGate_" .. _nameFbx .. "Part", StoneGateSetPrefix .. "_SGATE_" .. _nameAsset .. "_PREFAB")

-- Register the stone gate set decoration rampart part
    StoneGateV6:register({
	DataType = "BUILDING_PART",
	Id = StoneGateSetPrefix .. "_SGATE_" .. _nameAsset .. "_PART",
	Name = StoneGateSetPrefix .. "_SGATE_" .. _nameAsset .. "_NAME",
	Description = StoneGateSetPrefix .. "_SGATE_" .. _nameAsset .. "_DESC",
	Category = "EXTENSION",
	Mover = { DataType = "BUILDING_PART_MOVER_INSTANCE" },
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = StoneGateSetPrefix .. "_SGATE_" .. _nameAsset .. "_PREFAB"
	},
	Cost = {
		UpkeepCost = {
			{ Resource = "GOLD", Quantity = 0 }
		},
		RessourcesNeeded = { -- List of RESOURCE_QUANTITY_PAIR
			{ Resource = "STONE", Quantity = 2 }
		}
	}
    })

    StoneGateV6:registerPrefabComponent("models/blueRoofs/blueSmallGate.fbx/Prefab/smallGate/step_4_SGate_" .. _nameFbx .. "Part", {
	DataType = "COMP_BUILDING_PART",
	BuildingPartType = _attachType, 
	BuildingZone = { 0, 0 }
    })
end

registerRampartPart( "HalfRoof", "HALF_BLUE_ROOF", "MAJOR" )
registerRampartPart( "HalfRoofP", "HALF_BLUE_ROOFP", "MAJOR" )

